{ pkgs, flake_path, ... }:
{
  imports = [
    ./hardware-configuration.nix
    ../base
  ];

  # System
  networking.hostName = "Beast";
  programs.steam = {
    enable = true;
    remotePlay.openFirewall = true; # Open ports in the firewall for Steam Remote Play
    dedicatedServer.openFirewall = true; # Open ports in the firewall for Source Dedicated Server
  };
  environment = {
    systemPackages = with pkgs; [
      mangohud
      nvidia-vaapi-driver
      egl-wayland
    ];
  };

  powerManagement = {
    enable = true;
    cpuFreqGovernor = "performance";
  };

  # Programs
  programs.zsh.shellAliases.nix-switch = "nixos-rebuild switch --use-remote-sudo --flake ${flake_path}#desktop";
}