{ pkgs, inputs, ... }:
{
  #Overlays/Overrides
  nixpkgs.overlays = [
    inputs.nur.overlay
    (self: super: {
      waybar = super.waybar.overrideAttrs (oldAttrs: {
        mesonFlags = oldAttrs.mesonFlags ++ [ "-Dexperimental=true" ];
      });
    })
  ];

  programs.direnv.enable = true;

  #Packages
  home.packages = with pkgs; [
    betterbird
    bottles
    brave
    btop
    cliphist
    foot
    gamemode
    gamescope
    glibc
    go
    grim
    hplipWithPlugin
    inputs.maxfetch.packages.${pkgs.system}.default
    inputs.orcaslicer.packages.${pkgs.system}.orca-slicer
    jellycli
    jftui
    libreoffice
    lutris
    mpv
    neofetch
    nix-prefetch-github
    obs-studio
    obs-studio-plugins.obs-pipewire-audio-capture
    obs-studio-plugins.obs-vkcapture
    obs-studio-plugins.wlrobs
    pavucontrol
    picard
    playerctl
    protontricks
    protonup-qt
    qbittorrent
    remmina
    slurp
    steamtinkerlaunch
    swayidle
    swaylock-effects
    swaynotificationcenter
    swww
    vlc
    waybar
    wine-wayland
    winetricks
    wl-clipboard
    wlogout
    wofi
    xdg-utils
    xdotool
    xorg.xprop
    xorg.xwininfo
  ];
}
