{ inputs, lib, config, ... }:
{
  imports = [
    inputs.sops-nix.homeManagerModules.sops
    # <sops-nix/modules/home-manager/sops.nix>
  ];

  sops = {
    age.keyFile = "${config.xdg.configHome}/sops/age/keys.txt";
    defaultSopsFile = ../secrets/secrets.yaml;
    secrets = {
      ssh_nicolaivds.path = "${config.home.homeDirectory}/.ssh/id_ed25519_personal";
      ssh_nicolaivds_pub.path = "${config.home.homeDirectory}/.ssh/id_ed25519_personal.pub";
      gpg_nicolaivds_pub.path = "${config.xdg.configHome}/gpg/nicolaivds_pup.gpg";
      gpg_nicolaivds.path = "${config.xdg.configHome}/gpg/nicolaivds.gpg";
    };
  };

  systemd.user.services.mbsync.Unit.After = [ "sops-nix.service" ];
}