{ pkgs, inputs, lib, ... }:
let 
  catppuccin-mocha = pkgs.fetchFromGitHub {
    owner = "catppuccin";
    repo = "discord";
    rev = "f5e294288267ed3eca46b43cfaea63a544230906";
    hash = "sha256-LlZaJ9FCQ3otEzbWT2Zv4QObc0EmxyHpQ+onuQP1p4Y=";
  };
in {
  home.packages = with pkgs; [
    (webcord-vencord.override { webcord = webcord.override { electron_25 = electron_24;};})
    inputs.arrpc.packages.${pkgs.system}.arrpc
  ];

  xdg.configFile = {
    "WebCord/Themes/Mocha" = {
      source = "${catppuccin-mocha}/themes/mocha.theme.css";
    };
  };
  
  imports = [
    inputs.arrpc.homeManagerModules.default
  ];

  services.arrpc.enable = true;

}
